### File

`packages/eui/packages/components-next/src/lib/components/eui-dropdown/eui-dropdown.component.ts`

### Extends

`BaseDirective`

### Metadata

changeDetection | `ChangeDetectionStrategy.OnPush`
encapsulation | `ViewEncapsulation.None`
selector | `eui-dropdown`
styleUrls | `./styles/_index.scss`
templateUrl | `./eui-dropdown.component.html`

### Index

###### Properties

- _isDropDownRightAligned

###### Methods

- onClicked

###### Inputs

- e2eAttr
- isDropDownRightAligned
- tabIndex
- width

###### HostBindings

- class

###### Accessors

- isDropDownRightAligned

### Constructor

`constructor()`

### Inputs

e2eAttr
Default value : `'eui-dropdown'`

isDropDownRightAligned

tabIndex
Default value : `-1`

width
Default value : `'auto'`

### HostBindings

class

### Methods

onClicked
`onClicked(event: Event)`

Parameters :

Name | Type | Optional
event | `Event` | No

Returns : `void`

### Properties

_isDropDownRightAligned
Default value : `false`

### Accessors

isDropDownRightAligned
set `isDropDownRightAligned(value)`

Parameters :

Name | Optional
value | No

Returns : `void`

# result-matching ""

# No results matching ""